# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectModelRoots Class Reference

A SelectModelRoots gets all the Root Entities of an
InterfaceModel. Remember that a "Root Entity" is defined as
having no Sharing Entity (if there is a Loop between Entities,
none of them can be a "Root").
.

`#include <IFSelect_SelectModelRoots.hxx>`

Inheritance diagram for IFSelect_SelectModelRoots:

[legend]

## Public Member Functions

Standard_EXPORT | IFSelect_SelectModelRoots ()
| Creates a SelectModelRoot .
Standard_EXPORT Interface_EntityIterator | RootResult (const Interface_Graph &G) const
| Returns the list of selected entities : the Roots of the Model (note that this result assures naturally uniqueness) .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns a text defining the criterium : "Model Roots" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SelectModelRoots::IFSelect_SelectModelRoots | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IFSelect_SelectModelRoots::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectBase.

Standard_EXPORT TCollection_AsciiString IFSelect_SelectModelRoots::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_Selection.

Standard_EXPORT Interface_EntityIterator IFSelect_SelectModelRoots::RootResult | ( | const Interface_Graph & | G | ) | const`[virtual]`

| Implements IFSelect_Selection.

The documentation for this class was generated from the following file:

- IFSelect_SelectModelRoots.hxx